import { Router } from "express";
import { HttpUbiResolver } from "r6-api"

export const router : Router = Router()
export const resolver : HttpUbiResolver = new HttpUbiResolver()

router.get('/operators.json', async (req, res, next) => {
    try {
        const operators = await resolver.getOperators()

        res.json(operators)
    } catch (e) {
        next(e)
    }
})

router.get('/seasons.json', async (req, res, next) => {
    try {
        const seasons = await resolver.getSeasons()

        res.json(seasons)
    } catch (e) {
        next(e)
    }
})

router.get('/weapons.json', async (req, res, next) => {
    try {
        const weapons = await resolver.getWeapons()

        res.json(weapons)
    } catch (e) {
        next(e)
    }
})

setInterval(() => resolver.fetch(), 60 * 60* 1000)

resolver.fetch()

