import { Router } from "express";
import { resolver as UbiResolver } from './static'
import { HttpProfileResolver } from "r6-api";

const resolver = new HttpProfileResolver(UbiResolver)

export const router : Router = Router()

router.get('/:profile/profile.json', async (req, res, next) => {
  try {
    const profile = await resolver.getProfile(req.params.profile)
    res.json(profile)
  } catch (e) {
    next(e)
  }
})

router.get('/:profile/stat.json', async (req, res, next) => {
  try {
    const profile = await resolver.get(req.params.profile)
    res.json(profile)
  } catch (e) {
    next(e)
  }
})
